using System.Net;

using YandexMusic.API.Common;
using YandexMusic.API.Models.Artist;
using YandexMusic.API.Models.Common;
using YandexMusic.API.Requests.Common;
using YandexMusic.API.Requests.Common.Attributes;

namespace YandexMusic.API.Requests.Artist;

[YApiRequest(WebRequestMethods.Http.Post, "artists")]
public class YGetArtistsBuilder : YRequestBuilder<YResponse<List<YArtist>>, IEnumerable<string>>
{
    public YGetArtistsBuilder(YandexMusicApi yandex, AuthStorage auth) : base(yandex, auth)
    {
    }

    protected override HttpContent GetContent(IEnumerable<string> artistIds)
    {
        return new FormUrlEncodedContent(new Dictionary<string, string> {
            { "artist-Ids", string.Join(",", artistIds) }
        });
    }
}